/*
 * gsampler-preference.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 * 
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_PREFERENCE_H_
#define _GSAMPLER_PREFERENCE_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GSAMPLER_TYPE_PREFERENCE (gsampler_preference_get_type ())
#define GSAMPLER_PREFERENCE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_PREFERENCE, GsamplerPreference))
#define GSAMPLER_PREFERENCE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_PREFERENCE, GsamplerPreferenceClass))
#define GSAMPLER_IS_PREFERENCE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_PREFERENCE))
#define GSAMPLER_IS_PREFERENCE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_PREFERENCE))
#define GSAMPLER_PREFERENCE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_PREFERENCE, GsamplerPreferenceClass))

typedef struct _GsamplerPreference GsamplerPreference;
typedef struct _GsamplerPreferenceClass GsamplerPreferenceClass;

struct _GsamplerPreference {
	GtkDialog parent_instance;
};

struct _GsamplerPreferenceClass {
	GtkDialogClass parent_class;
};

GType 				gsampler_preference_get_type (void) G_GNUC_CONST;
GsamplerPreference* gsampler_preference_new (void);

G_END_DECLS

#endif /* _GSAMPLER_PREFERENCE_H_ */